
From: Martin Schwidefsky <schwidefsky@de.ibm.com>

From: Steffen Thoss <thoss@de.ibm.com>

common i/o layer change:
 - Correct check in qdio_stop_polling to avoid loosing initiative on the
   qdio inbound queue.

Signed-off-by: Martin Schwidefsky <schwidefsky@de.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/s390/cio/qdio.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/s390/cio/qdio.c~s390-common-i-o-layer drivers/s390/cio/qdio.c
--- 25/drivers/s390/cio/qdio.c~s390-common-i-o-layer	Tue Aug 24 15:17:23 2004
+++ 25-akpm/drivers/s390/cio/qdio.c	Tue Aug 24 15:17:23 2004
@@ -56,7 +56,7 @@
 #include "ioasm.h"
 #include "chsc.h"
 
-#define VERSION_QDIO_C "$Revision: 1.84 $"
+#define VERSION_QDIO_C "$Revision: 1.86 $"
 
 /****************** MODULE PARAMETER VARIABLES ********************/
 MODULE_AUTHOR("Utz Bacher <utz.bacher@de.ibm.com>");
@@ -365,7 +365,7 @@ qdio_stop_polling(struct qdio_q *q)
 	 * small window we can miss between resetting it and
 	 * checking for PRIMED state 
 	 */
-	if (q->is_iqdio_q)
+	if (q->is_thinint_q)
 		tiqdio_set_summary_bit((__u32*)q->dev_st_chg_ind);
 	return 0;
 
_
